<?xml version="1.0" encoding="ISO-8859-1"?>

<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
		version="2.4" >

	<context-param>
		<param-name>SYSTEM_ID</param-name>
		<param-value></param-value>
	</context-param>

<!--
	<filter>
		<filter-name>AccessStopFilter</filter-name>
		<filter-class>org.opengion.hayabusa.filter.AccessStopFilter</filter-class>
		<init-param>
			<param-name>startTime</param-name>
			<param-value>070000</param-value>
		</init-param>
		<init-param>
			<param-name>stopTime</param-name>
			<param-value>070000</param-value>
		</init-param>
		<init-param>
			<param-name>filename</param-name>
			<param-value>jsp/custom/stopFile.html</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>GZIPFilter</filter-name>
		<filter-class>org.opengion.hayabusa.filter.GZIPFilter</filter-class>
		<init-param>
			<param-name>ipAddress</param-name>
			<param-value>200.1.50,127.0.0.1</param-value>
		</init-param>
		<init-param>
			<param-name>debug</param-name>
			<param-value>false</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>FileFilter</filter-name>
		<filter-class>org.opengion.hayabusa.filter.FileFilter</filter-class>
		<init-param>
			<param-name>saveDir</param-name>
			<param-value>filetemp/DIR/</param-value>
		</init-param>
	</filter>

	<filter>
		<filter-name>URLCheckFilter</filter-name>
		<filter-class>org.opengion.hayabusa.filter.URLCheckFilter</filter-class>
		<init-param>
			<param-name>filename</param-name>
			<param-value>jsp/custom/refuseAccess.html</param-value>
		</init-param>
		<init-param>
			<param-name>debug</param-name>
			<param-value>false</param-value>
		</init-param>
	</filter>
-->

<!--
	<filter-mapping>
		<filter-name>AccessStopFilter</filter-name>
		<url-pattern>/jsp/*</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>GZIPFilter</filter-name>
		<url-pattern>/jsp/*</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>FileFilter</filter-name>
		<url-pattern>/jsp/*</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>URLCheckFilter</filter-name>
		<url-pattern>/filetemp/*</url-pattern>
	</filter-mapping>
-->

	<listener>
		<listener-class>
			org.opengion.hayabusa.common.HybsContextListener
		</listener-class>
	</listener>

	<listener>
		<listener-class>
			org.opengion.hayabusa.common.HybsSessionListener
		</listener-class>
	</listener>

	<servlet>
		<servlet-name>admin</servlet-name>
		<servlet-class>org.opengion.hayabusa.servlet.HybsAdmin</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>fileDownload</servlet-name>
		<servlet-class>org.opengion.hayabusa.servlet.FileDownload</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>webdav</servlet-name>
		<servlet-class>org.apache.catalina.servlets.WebdavServlet</servlet-class>
		<init-param>
			<param-name>debug</param-name>
			<param-value>0</param-value>
		</init-param>
		<init-param>
			<param-name>listings</param-name>
			<param-value>true</param-value>
		</init-param>
		<init-param>
			<param-name>readonly</param-name>
			<param-value>false</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<servlet>
		<servlet-name>remoteControl</servlet-name>
		<servlet-class>org.opengion.hayabusa.servlet.RemoteControlServlet</servlet-class>
	</servlet>

<!--
	<servlet>
		<servlet-name>upload</servlet-name>
		<servlet-class>org.opengion.hayabusa.servlet.UploadTest</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>makeImage</servlet-name>
		<servlet-class>org.opengion.hayabusa.servlet.MakeImage</servlet-class>
		<init-param>
			<param-name>imageFile</param-name>
			<param-value>G:/webapps/gf/jsp/GF7010/mark.png</param-value>
		</init-param>
	</servlet>

	<servlet>
		<servlet-name>TestCometServlet</servlet-name>
		<servlet-class>org.opengion.hayabusa.servlet.TestCometServlet</servlet-class>
	</servlet>
-->

	<servlet-mapping>
		<servlet-name>admin</servlet-name>
		<url-pattern>/jsp/admin</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>fileDownload</servlet-name>
		<url-pattern>/jsp/fileDownload</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>webdav</servlet-name>
		<url-pattern>/webdav/*</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>remoteControl</servlet-name>
		<url-pattern>/servlet/remoteControl</url-pattern>
	</servlet-mapping>

<!--
	<servlet-mapping>
		<servlet-name>upload</servlet-name>
		<url-pattern>/jsp/upload</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>makeImage</servlet-name>
		<url-pattern>/jsp/makeImage</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>TestCometServlet</servlet-name>
		<url-pattern>/jsp/TestCometServlet</url-pattern>
	</servlet-mapping>
-->

<!--
	<taglib>
		<taglib-uri>hybs-taglib.tld</taglib-uri>
		<taglib-location>/WEB-INF/hybs-taglib.tld</taglib-location>
	</taglib>
-->

	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Protected JSP Area</web-resource-name>
			<url-pattern>/jsp/*</url-pattern>
			<url-pattern>/filetemp/*</url-pattern>
			<url-pattern>/help/*</url-pattern>
			<url-pattern>/report/*</url-pattern>
			<url-pattern>/filemg/*</url-pattern>
			<url-pattern>/webdav/filetemp/*</url-pattern>
			<http-method>DELETE</http-method>
			<http-method>GET</http-method>
			<http-method>POST</http-method>
			<http-method>PUT</http-method>
		</web-resource-collection>
		<auth-constraint>
			<role-name>*</role-name>
		</auth-constraint>
<!--
		<user-data-constraint>
			<transport-guarantee>CONFIDENTIAL</transport-guarantee>
		</user-data-constraint>
-->
	</security-constraint>

	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Protected Other Area</web-resource-name>
			<url-pattern>/*</url-pattern>
		</web-resource-collection>
		<auth-constraint>
			<role-name></role-name>
		</auth-constraint>
	</security-constraint>

	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Protected Servlet</web-resource-name>
			<url-pattern>/servlet/*</url-pattern>
		</web-resource-collection>
		<auth-constraint>
			<role-name>manager</role-name>
		</auth-constraint>
	</security-constraint>

   <login-config>
      <auth-method>BASIC</auth-method>
      <realm-name>Web App</realm-name>
    </login-config>

<!--
    <login-config>
      <auth-method>DIGEST</auth-method>
      <realm-name>Web App</realm-name>
    </login-config>
-->

<!--
    <login-config>
      <auth-method>FORM</auth-method>
      <realm-name>DBDEF Web App</realm-name>
      <form-login-config>
        <form-login-page>/jsp/login.html</form-login-page>
        <form-error-page>/jsp/login.html</form-error-page>
      </form-login-config>
    </login-config>
-->

    <!-- Security roles referenced by this web application -->
    <security-role>
      <role-name>*</role-name>
    </security-role>
    <security-role>
      <role-name></role-name>
    </security-role>
    <security-role>
      <role-name>manager</role-name>
    </security-role>

</web-app>
